=== modified file 'NEWS'
--- NEWS	2008-05-09 19:09:52 +0000
+++ NEWS	2008-05-09 21:05:07 +0000
@@ -101,6 +101,9 @@
 
     * Improved the documentation on hooks. (Ian Clatworthy)
 
+    * Update authentication docs regarding ssh agents.
+      (Vincent Ladeuil, #183705)
+
   TESTING:
 
     * Add ``thread_name_suffix`` parameter to SmartTCPServer_for_testing, to

=== modified file 'bzrlib/help_topics/en/authentication.txt'
--- bzrlib/help_topics/en/authentication.txt	2007-12-17 01:33:01 +0000
+++ bzrlib/help_topics/en/authentication.txt	2008-05-09 16:40:21 +0000
@@ -6,9 +6,9 @@
 ------
 
 Many different authentication policies can be described in the
-``authentication.conf`` file but a particular user should need
-only a few definitions to cover his needs without having to specify a user and
-a password for every branch he uses.
+``authentication.conf`` file but a particular user should need only a few
+definitions to cover his needs without having to specify a user and a password
+for every branch he uses.
 
 The definitions found in this file are used to find the credentials to use for
 a given url. The same credentials can generally be used for as many branches as
@@ -47,9 +47,10 @@
 
 1. user and password
 
-``FTP`` and ``SFTP`` needs a (``user``, ``password``) to authenticate against a
-``host`` (SFTP can use ssh keys too, but we don't talk about that here as ssh
-agents provide a better solution).
+``FTP`` needs a (``user``, ``password``) to authenticate against a ``host``
+``SFTP`` can use either a password or a host key to authenticate. However,
+ssh agents are a better, more secure solution. So we have chosen to not provide
+our own less secure method.
 
 2. user, realm and password
 
@@ -174,13 +175,15 @@
         # The leading '.' ensures that 'shp.net' alone doesn't match
         host=.shp.net
         user=joe
-        password=precious
+        # bzr don't support supplying a password for sftp,
+        # consider using an ssh agent if you don't want to supply
+        # a password interactively. (pageant, ssh-agent, etc)
 
 HTTPS, SFTP servers and their proxy
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
-At company.com, the server hosting released and integration code is behind a
-proxy, the two servers use different authentication policies::
+At company.com, the server hosting release and integration branches is behind a
+proxy, and the two branches use different authentication policies::
 
         [reference code]
         scheme=https
@@ -195,7 +198,6 @@
         host=dev.company.com
         path=/dev/integration
         user=user2
-        password=pass2
         
         # proxy
         [proxy]

=== modified file 'doc/developers/authentication-ring.txt'
--- doc/developers/authentication-ring.txt	2007-11-04 15:24:27 +0000
+++ doc/developers/authentication-ring.txt	2008-05-09 16:40:21 +0000
@@ -63,9 +63,9 @@
 
 Note that ssh servers can be configured to use keys instead of (``user``,
 ``password``) and, when used with appropriate agents, provide the same kind of
-comfort this specification aims to provide for all other schemes. These
-specification do not try to cover these configurations by providing
-pass-phrases, but the mechanisms presented *can* be used to provide users.
+comfort this specification aims to provide for all other schemes. Since ssh
+agents provide a safer way to secure the passwords, this specification is
+restricted to providing ``user`` but does not provide ``password``.
 
 Authentication definitions
 --------------------------
@@ -120,7 +120,8 @@
   * ``password``: can be empty (for security reasons, a user may use the
     definitions without storing the passwords but want to be prompted ; or the
     password will be provided by an external plugin via the
-    ``password_encoding`` mechanism decribed below).
+    ``password_encoding`` mechanism decribed below). Must be left empty for
+    ``ssh``.
 
   * ``password_encoding``: can be empty (default is ``plaintext``).
 

=== modified file 'doc/developers/index.txt'
--- doc/developers/index.txt	2008-05-02 02:05:46 +0000
+++ doc/developers/index.txt	2008-05-09 09:52:59 +0000
@@ -31,6 +31,9 @@
 
 * `API versioning <api-versioning.html>`_ |--| bzrlib API versioning.
 
+* `Authentication ring <authentication-ring.html>`_ |--| Configuring
+  authentication.
+
 * `Bundles <bundles.html>`_ |--| All about bzr bundles.
 
 * `Container format <container-format.html>`_ |--| Notes on a container format

=== modified file 'doc/en/user-guide/configuring_bazaar.txt'
--- doc/en/user-guide/configuring_bazaar.txt	2007-12-07 03:37:32 +0000
+++ doc/en/user-guide/configuring_bazaar.txt	2008-05-09 09:52:59 +0000
@@ -33,9 +33,9 @@
 
 Each branch can also contain a configuration file that sets values specific
 to that branch. This file is found at ``.bzr/branch/branch.conf`` within the
-branch. This file is visible to **all users of a branch**. If you wish to override
-one of the values for a branch with a setting that is specific to you, then you
-can do so in ``locations.conf``.
+branch. This file is visible to **all users of a branch**. If you wish to
+override one of the values for a branch with a setting that is specific to you,
+then you can do so in ``locations.conf``.
 
 Here is sample content of ``bazaar.conf`` after setting an email address using
 the ``whoami`` command::

